Package de.gebit.integrity.remoting.transport.messages

## Class TimeSyncResultMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.TimeSyncResultMessage

- All Implemented Interfaces:
    `Serializable`

      public class TimeSyncResultMessage
      extends AbstractMessage

  A response to `TimeSyncRequestMessage`.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TimeSyncResultMessage.TimeSyncForkResult` | Encapsulates the "result" of a successful timesync application for a specific fork.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeSyncResultMessage()` | Constructor.
    `TimeSyncResultMessage​(TimeSyncResultMessage.TimeSyncForkResult aResult)` | Constructs an instance with a single result.
    `TimeSyncResultMessage​(String anErrorMessage, String aStackTrace)` | Constructs an instance.
    `TimeSyncResultMessage​(Collection<TimeSyncResultMessage.TimeSyncForkResult> someResults)` | Constructs an instance with a result collection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getErrorMessage()` |
    `Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>>` | `getResultMap()` | Gets the results as a `Map`.
    `List<TimeSyncResultMessage.TimeSyncForkResult>` | `getResults()` |
    `String` | `getStackTrace()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSyncResultMessage

          public TimeSyncResultMessage()

      Constructor.

    - #### TimeSyncResultMessage

          public TimeSyncResultMessage​(String anErrorMessage,
                                       String aStackTrace)

      Constructs an instance.
      Parameters:
        `aStartDate` -
        `aProgressionFactor` -

    - #### TimeSyncResultMessage

          public TimeSyncResultMessage​(Collection<TimeSyncResultMessage.TimeSyncForkResult> someResults)

      Constructs an instance with a result collection.
      Parameters:
        `someResults` -

    - #### TimeSyncResultMessage

          public TimeSyncResultMessage​(TimeSyncResultMessage.TimeSyncForkResult aResult)

      Constructs an instance with a single result.
      Parameters:
        `aResult` -

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### getStackTrace

          public String getStackTrace()

    - #### getResults

          public List<TimeSyncResultMessage.TimeSyncForkResult> getResults()

    - #### getResultMap

          public Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> getResultMap()

      Gets the results as a `Map`.
      Returns: